Subject: Re: bug#29565: [PATCH] Support xwidget webkit for macOS X

From: Alan Third <[email-masked]>
Date: Tue, 11 Aug 2020 22:35:17 +0200 (CEST)

On Tue, Aug 11, 2020 at 10:29:13PM +0200, Lars Ingebrigtsen wrote:
> 
> I've now done so, and ./configure --with-xwidgets works fine, and it
> compiles without any problems, but with some extra warnings that I don't
> think were there before, like:
> 
> Library/Developer/CommandLineTools/SDKs/MacOSX10.15.sdk/System/Library/Frameworks/AppKit.framework/Headers/NSPasteboard.h:312:32: note: 
>       'NSFilenamesPboardType' has been explicitly marked deprecated here
> APPKIT_EXTERN NSPasteboardType NSFilenamesPboardType API_DEPRECATED("Cre...
>                                ^
> nsterm.m:8624:35: warning: 'NSURLPboardType' is deprecated: first deprecated in
>       macOS 10.14 [-Wdeprecated-declarations]
>   else if ([type isEqualToString: NSURLPboardType])
>                                   ^~~~~~~~~~~~~~~
>                                   NSPasteboardTypeURL
> 
> Or were these there before, too?  I did have some warnings before
> applying the patch...

They should have been, yes. I've been very lazy with fixing those
PasteBoard warnings.

> Thanks for the pointer to --with-ns.  :-)

NP, I'm glad it's working!
-- 
Alan Third